Bug 17736 - Backend ALPM Fails to compile(pacman 3.2)
Summary: Backend ALPM Fails to compile(pacman 3.2)
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium major
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-23 05:29 UTC by ivan Ruano
Modified: 2008-09-26 11:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ivan Ruano 2008-09-23 05:29:44 UTC
error when compiling packagekit with alpm backend (Packman 3.2)


pk-backend-alpm.c: In function 'backend_initialize':
pk-backend-alpm.c:803: error: passing argument 1 of 'alpm_option_set_dlcb' from incompatible pointer type
pk-backend-alpm.c: In function 'backend_get_depends':
pk-backend-alpm.c:911: error: format '%i' expects type 'int', but argument 5 has type 'PkBitfield'
pk-backend-alpm.c: In function 'backend_install_files_thread':
pk-backend-alpm.c:1167: error: 'PM_TRANS_TYPE_ADD' undeclared (first use in this function)
pk-backend-alpm.c:1167: error: (Each undeclared identifier is reported only once
pk-backend-alpm.c:1167: error: for each function it appears in.)
make[3]: *** [libpk_backend_alpm_la-pk-backend-alpm.lo] Error 1
Comment 1 ivan Ruano 2008-09-26 11:06:10 UTC
	
Fixed bug in git, thanks


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.